#本程式碼之使用請參考《傻瓜也會跑統計Ⅱ》單元37

#每次執行本程式前，都請先按Ctrl+L，清空R console視窗，再執行程式
#要先用SPSS或Excel加出各構念之總分。

#***** 需注意處 *****
#說明：讀檔
dta <- read.csv(file='pa0_data.csv', header=T, fileEncoding = 'UTF-8-BOM')

#說明：呼叫徑路分析所需套件lavaan
library(lavaan)

#***** 需修改處 *****
#說明：設定構念之間的關係。

model<- 
'X1~~X2
M~X1+X2
Y~X1+M'

#說明：執行徑路分析並將結果指定給一個叫作result的物件
result <- sem(model, data=dta, std.ov=T, std.lv=T)

#說明：輸出結果
summary(result, fit.measure=T)

#呈現修模型所需指標
modindices(result)

#說明：呼叫畫圖所需套件semPlot
library(semPlot)

#說明：畫徑路分析圖
#執行後到資料所在的資料夾，就能找到圖，檔名是pa_plot.png
png('pa0_plot.png',width=1920,height=1080)
semPaths(result, whatLabels='std',residual=F,
fixedStyle=c('black',lty=1),
freeStyle=c('black',lty=1),
rotation=2,
edge.label.position=.4)
dev.off()